| Home | Libraries | People | FAQ | More

###### ipv6_address::ipv6_address (4 of 5 overloads)

Construct from an IPv4 address.

###### Synopsis

    ipv6_address(
        ipv4_address const& addr);

###### Description

This function constructs an IPv6 address from the IPv4 address `addr`. The resulting address is an IPv4-Mapped IPv6 Address.

###### Parameters

Name | Description
--- | ---
`addr` | The address to construct from.

###### Specification

- 2.5.5.2. IPv4-Mapped IPv6 Address (rfc4291)